## plasma-nm 0.9.3.0

=== CMakeLists.txt ===
project(plasma-nm)

cmake_minimum_required(VERSION 2.6)

find_package(KDE4 REQUIRED)
find_package(NetworkManager "0.9.8" REQUIRED)
find_package(KDE4 "4.9.0" REQUIRED)

include(FindPkgConfig)
include(KDE4Defaults)

pkg_check_modules(MODEMMANAGERQT REQUIRED ModemManagerQt)
if (NOT MODEMMANAGERQT_FOUND)
    message(FATAL_ERROR "ERROR: ModemManagerQt not found. http://projects.kde.org/libmm-qt")
endif (NOT MODEMMANAGERQT_FOUND)

pkg_check_modules(NETWORKMANAGERQT REQUIRED NetworkManagerQt)
if (NOT NETWORKMANAGERQT_FOUND)
    message(FATAL_ERROR "ERROR: NetworkManagerQt not found. http://projects.kde.org/libnm-qt")
endif (NOT NETWORKMANAGERQT_FOUND)

set(KDE_NETWORK_VERSION "0.9.3.0")
set(PLASMA_NM_VERSION "0.9.3.0")
configure_file(config.h.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/config.h )

set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR} ${CMAKE_MODULE_PATH})
macro_optional_find_package(MobileBroadbandProviderInfo)
macro_log_feature(MOBILEBROADBANDPROVIDERINFO_FOUND "mobile-broadband-provider-info" "Database of mobile broadband service providers" "http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders" FALSE "" "Needed for Mobile Connection Wizard support in Broadband Modem Management")

pkg_check_modules(QTNETWORK REQUIRED QtNetwork)
pkg_check_modules(NETWORKMANAGER REQUIRED NetworkManager)

add_definitions(
    ${QT_DEFINITIONS}
    ${KDE_DEFINITIONS}
    ${NETWORKMANAGERQT_CFLAGS_OTHER}
)

include_directories(${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/lib
                    ${CMAKE_CURRENT_SOURCE_DIR}/lib/editor
                    ${QTNETWORK_INCLUDE_DIRS}
                    ${MODEMMANAGERQT_INCLUDE_DIRS}
                    ${NETWORKMANAGERQT_INCLUDE_DIRS}
                    ${NETWORKMANAGER_INCLUDE_DIRS}
                    ${KDE4_INCLUDES})

add_subdirectory(lib)
add_subdirectory(applet)
add_subdirectory(declarative-plugins)
add_subdirectory(editor)
add_subdirectory(vpn)
add_subdirectory(kded)
#add_subdirectory(kcm)
add_subdirectory(settings)

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== applet/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/declarative/metadata.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/declarative/metadata.desktop
               @ONLY)

install(DIRECTORY declarative/contents DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.plasma-nm)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/declarative/metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.plasma-nm)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/declarative/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-nm.desktop)
install(FILES icons/plasma-nm.svgz DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/)

=== declarative-plugins/CMakeLists.txt ===
set(plasma_nm_qml_plugins_SRCS
   applet/availabledevices.cpp
   applet/connectionicon.cpp
   applet/enabledconnections.cpp
   applet/globalconfig.cpp
   applet/networkstatus.cpp
   applet/trafficmonitor.cpp

   model/model.cpp
   model/modelitem.cpp
   model/modelitems.cpp
   model/monitor.cpp
   model/sortmodel.cpp

   debug.cpp
   enums.cpp
   handler.cpp
   qmlplugins.cpp
)

kde4_add_library(plasmanmplugins SHARED ${plasma_nm_qml_plugins_SRCS})

target_link_libraries(plasmanmplugins
    NetworkManagerQt
    ModemManagerQt
    plasmanm-internal
    plasmanm-editor
    ${KDE4_PLASMA_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY})

install(TARGETS plasmanmplugins DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasmanm)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/plasmanm)

=== kcm/CMakeLists.txt ===
set(kcm_network_SRCS
    AvailableConnectionsModel.cpp
    AvailableConnectionsSortModel.cpp
    AvailableConnectionsDelegate.cpp
    DeviceConnectionModel.cpp
    DeviceConnectionDelegate.cpp
    DeviceConnectionSortFilterModel.cpp
    TabDeviceInfo.cpp
    TabDeviceAdvanced.cpp
    TabConnectionInfo.cpp
    Description.cpp
    NetworkKCM.cpp
)

kde4_add_ui_files(kcm_network_SRCS
    TabDeviceInfo.ui
    TabDeviceAdvanced.ui
    TabConnectionInfo.ui
    Description.ui
    NetworkKCM.ui
)

kde4_add_plugin(kcm_network ${kcm_network_SRCS})

target_link_libraries(kcm_network
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    NetworkManagerQt
    plasmanm-internal
    plasmanm-editor
)

install(TARGETS kcm_network DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES kcm_network.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== kded/CMakeLists.txt ===
set(kded_plasmanm_SRCS
   interfacenotification.cpp
   passworddialog.cpp
   secretagent.cpp
   service.cpp
   pindialog.cpp
   modemmonitor.cpp
   bluetoothmonitor.cpp
)

kde4_add_ui_files(kded_plasmanm_SRCS
    passworddialog.ui
    pinwidget.ui
)

kde4_add_plugin(kded_plasmanm ${kded_plasmanm_SRCS})

target_link_libraries(kded_plasmanm
    NetworkManagerQt
    ModemManagerQt
    plasmanm-internal
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_SOLID_LIBS}
)

install(TARGETS kded_plasmanm DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasmanm.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES plasma-nm.notifyrc DESTINATION ${DATA_INSTALL_DIR}/plasma-nm)

=== lib/CMakeLists.txt ===
set(plasmanm-internal_SRCS
    settingwidget.cpp
    vpnuiplugin.cpp
    uiutils.cpp
    mobileproviders.cpp
    mobileconnectionwizard.cpp
    hwaddrcombobox.cpp
    ssidcombobox.cpp
    bssidcombobox.cpp
)

kde4_add_library(plasmanm-internal SHARED ${plasmanm-internal_SRCS})
target_link_libraries(plasmanm-internal NetworkManagerQt ModemManagerQt ${KDE4_SOLID_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY})

install(TARGETS plasmanm-internal ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES plasma-nm-vpnuiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(editor)

=== vpn/CMakeLists.txt ===
add_subdirectory(vpnc)
add_subdirectory(openvpn)
add_subdirectory(l2tp)
add_subdirectory(pptp)
add_subdirectory(openswan)
add_subdirectory(openconnect)

=== lib/editor/CMakeLists.txt ===
set(plasmanm_libeditor_SRCS
    ipv4widget.cpp
    ui/advancedpermissionswidget.cpp
    ui/delegate.cpp
    ui/ipv4delegate.cpp
    ui/ipv4routeswidget.cpp
    ui/simpleipv4addressvalidator.cpp
    ui/intdelegate.cpp
    ipv6widget.cpp
    ui/ipv6routeswidget.cpp
    ui/ipv6delegate.cpp
    ui/simpleipv6addressvalidator.cpp
    security802-1x.cpp
    wiredconnectionwidget.cpp
    wiredsecurity.cpp
    wificonnectionwidget.cpp
    wifisecurity.cpp
    pppwidget.cpp
    pppoewidget.cpp
    gsmwidget.cpp
    cdmawidget.cpp
    btwidget.cpp
    infinibandwidget.cpp
    vlanwidget.cpp
    wimaxwidget.cpp
    bondwidget.cpp
    bridgewidget.cpp
    connectiondetaileditor.cpp
    connectionwidget.cpp
)

kde4_add_ui_files(plasmanm_libeditor_SRCS
    ui/advancedpermissionswidget.ui
    ui/ipv4.ui
    ui/ipv4routes.ui
    ui/ipv6.ui
    ui/ipv6routes.ui
    ui/802-1x.ui
    ui/wiredconnectionwidget.ui
    ui/wiredsecurity.ui
    ui/wificonnectionwidget.ui
    ui/wifisecurity.ui
    ui/ppp.ui
    ui/pppoe.ui
    ui/gsm.ui
    ui/cdma.ui
    ui/bt.ui
    ui/infiniband.ui
    ui/vlan.ui
    ui/wimax.ui
    ui/bond.ui
    ui/bridge.ui
    ui/connectiondetaileditor.ui
    ui/connectionwidget.ui
)

kde4_add_library(plasmanm-editor SHARED ${plasmanm_libeditor_SRCS})
target_link_libraries(plasmanm-editor
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${QT_QTXML_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    NetworkManagerQt
    ModemManagerQt
    plasmanm-internal
)

install(TARGETS plasmanm-editor ${INSTALL_TARGETS_DEFAULT_ARGS})

=== settings/details/CMakeLists.txt ===
set(plasmanm_config_widgets_SRCS
    detailkeyseditor.cpp
    detailkeyseditordesignfactory.cpp
)

kde4_add_ui_files(plasmanm_config_widgets_SRCS
    detailkeyswidget.ui
)

kde4_add_plugin(plasmanmwidgets SHARED
                ${plasmanm_config_widgets_SRCS})

target_link_libraries(plasmanmwidgets
                      ${KDE4_KDEUI_LIBS}
)

install( TARGETS plasmanmwidgets DESTINATION ${PLUGIN_INSTALL_DIR}/plugins/designer )

=== settings/notifications/CMakeLists.txt ===
set(plasma_nm_notifications_SRCS
   notifications.cpp
)

kde4_add_plugin(plasma_nm_notifications ${plasma_nm_notifications_SRCS})

target_link_libraries(plasma_nm_notifications ${KDE4_KDEUI_LIBS} ${KDE4_KNOTIFYCONFIG_LIBRARY})

install(TARGETS plasma_nm_notifications DESTINATION ${PLUGIN_INSTALL_DIR})
install(FILES plasma_nm_notifications.desktop DESTINATION ${SERVICES_INSTALL_DIR})

=== vpn/openvpn/CMakeLists.txt ===
set(openvpn_SRCS
    openvpn.cpp
    openvpnwidget.cpp
    openvpnauth.cpp
    openvpnadvancedwidget.cpp
)

kde4_add_ui_files(openvpn_SRCS openvpn.ui openvpnauth.ui openvpnadvanced.ui)

kde4_add_plugin(plasmanm_openvpnui ${openvpn_SRCS})

target_link_libraries(plasmanm_openvpnui plasmanm-internal NetworkManagerQt ${KDE4_KIO_LIBS})

install(TARGETS plasmanm_openvpnui  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasmanm_openvpnui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== vpn/pptp/CMakeLists.txt ===
set(pptp_SRCS
   pptp.cpp
   pptpwidget.cpp
   pptpauth.cpp
   )

kde4_add_ui_files(pptp_SRCS pptpprop.ui pptpadvanced.ui pptpauth.ui)

kde4_add_plugin(plasmanm_pptpui ${pptp_SRCS})

target_link_libraries(plasmanm_pptpui NetworkManagerQt ${KDE4_KIO_LIBS} plasmanm-internal)

install(TARGETS plasmanm_pptpui  DESTINATION ${PLUGIN_INSTALL_DIR})

install( FILES plasmanm_pptpui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-nm (0.9.3.0-0ubuntu5) saucy; urgency=low

  * Add kubuntu_networkmanager_icon.diff changing the plasmoid and
    connection editor icon to networkmanager.
  * Add networkmanager icons (previously shipped by kde-workspace)
    + debian/icons/oxygen/22x22/apps/networkmanager.png
    + debian/icons/oxygen/32x32/apps/networkmanager.png
    + debian/icons/oxygen/64x64/apps/networkmanager.png
  * Add the icons to include-binaries
    LP: #1239444
  * Add kubuntu_cmake_display_feature_log.diff to display cmake's feature
    log at the end of cmake. Otherwise it's rather hard to tell when features
    are missing because of missing dependencies.
    Please note that while mobile-broadband-provider-info is checked for, it is
    only a runtime dependency and handled as such by debian/control.
  * Add build dependency on libopenconnect-dev as otherwise the openconnect vpn
    support is not built.

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 14 Oct 2013 13:57:15 +0200

plasma-nm (0.9.3.0-0ubuntu4) saucy; urgency=low

  * Add a install file to actually ship the files in the package
    (LP: #1238221)

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 11 Oct 2013 12:00:14 +0200

plasma-nm (0.9.3.0-0ubuntu3) saucy; urgency=low

  * Add transitional package for plasma-widget-networkmanagement
    (LP: #1234068)

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 10 Oct 2013 16:24:57 +0200

plasma-nm (0.9.3.0-0ubuntu2) saucy; urgency=low

  * Add kubuntu_connection_editor_nodisplay.diff
    Setting NoDisplay=true on the connection editor which has no icon and
    seems rather useless considering we have the plasmoid by default.

 -- Harald Sitter <apachelogger@kubuntu.org>  Thu, 26 Sep 2013 14:48:45 +0200

plasma-nm (0.9.3.0-0ubuntu1) saucy; urgency=low

  * New upstream release (LP: #1223817)
  * Add pkg-kde-tools as build-dependency
  * Add --parallel and --with kde in debian/rules
  * Add debian/watch file

 -- Howard Chan <smartboyhw@gmail.com>  Wed, 11 Sep 2013 18:15:58 +0800

plasma-nm (0.0~git20130909-0ubuntu1) saucy; urgency=low

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 09 Sep 2013 17:59:01 +0100

plasma-nm (0.0~git20130816-0ubuntu3) saucy; urgency=low

  * Add depends on mobile-broadband-provider-info and
    network-manager

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 26 Aug 2013 12:35:59 +0100

plasma-nm (0.0~git20130816-0ubuntu2) saucy; urgency=low

  * Initial release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 16 Aug 2013 19:07:09 +0100

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libmodemmanagerqt-dev (>= 0.5.0),
 libnetworkmanagerqt-dev (>= 0.9.0), pkg-config, network-manager-dev, libnm-util-dev,
 libnm-glib-dev, pkg-kde-tools, libopenconnect-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/network/plasma-nm

Package: plasma-nm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.9.8),
 mobile-broadband-provider-info
Suggests: kde-workspace-bin, network-manager-openconnect, network-manager-vpnc,
 network-manager-openvpn, network-manager-pptp
Recommends: kwalletmanager
Description: Plasma applet for managing network connections
 Plasma applet written in QML for managing network connections

Package: plasma-widget-networkmanagement
Architecture: all
Depends: plasma-nm
Description: Transitional package for plasma-widget-networkmanagement
 This is a transitional package for plasma-widget-networkmanagement. It can safely be removed.

## plasma-nm 0.9.3.1

=== debian/changelog ===
plasma-nm (0.9.3.1-0ubuntu1~saucy2) saucy; urgency=medium

  * Conflict/Replace kde-workspace-data << 4.11 as networkmanager.png
    used to live there. LP: #1277312

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Feb 2014 10:26:27 +0100

plasma-nm (0.9.3.1-0ubuntu1~saucy1) saucy; urgency=low

  * SRU to saucy
  * Add 01-rename-plasma-nm.js from upstream to match upstream
    rename of widget

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 30 Oct 2013 15:48:31 +0000

plasma-nm (0.9.3.1-0ubuntu1) trusty; urgency=low

  * New upstream release
  * Bump Build-Depends on libnm-qt

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 23 Oct 2013 18:16:10 +0200

plasma-nm (0.9.3.0-0ubuntu6) trusty; urgency=low

  * Add Breaks/Replaces between plasma-nm and transitional
    plasma-widget-networkmanagement (LP: #1241985) 
  * Move transitional package to oldlibs.
  * Add misc:Depends to transitional package.
  * Add comment detailing that the transitional package can be removed
    for 14.10.

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 19 Oct 2013 15:36:06 +0200

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: extra
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libmodemmanagerqt-dev (>= 0.5.0),
 libnetworkmanagerqt-dev (>= 0.9.0.1), pkg-config, network-manager-dev, libnm-util-dev,
 libnm-glib-dev, pkg-kde-tools, libopenconnect-dev
Standards-Version: 3.9.4
Homepage: https://projects.kde.org/projects/playground/network/plasma-nm

Package: plasma-nm
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, network-manager (>= 0.9.8),
 mobile-broadband-provider-info
Suggests: kde-workspace-bin, network-manager-openconnect, network-manager-vpnc,
 network-manager-openvpn, network-manager-pptp
Recommends: kwalletmanager
Breaks: plasma-widget-networkmanagement (<< 0.9.3.0-0ubuntu6~),
 kde-workspace-data (<< 4:4.11.0~)
Replaces: plasma-widget-networkmanagement (<< 0.9.3.0-0ubuntu6~),
 kde-workspace-data (<< 4:4.11.0~)
Description: Plasma applet for managing network connections
 Plasma applet written in QML for managing network connections

# Transitional Package.
# Actual package last shipped in 13.04. Longest supported release is 12.04 LTS.
# Don't remove before 14.10 (next LTS+1)
Package: plasma-widget-networkmanagement
Architecture: all
Depends: plasma-nm, ${misc:Depends}
Section: oldlibs
Description: Transitional package for plasma-widget-networkmanagement
 This is a transitional package for plasma-widget-networkmanagement.
 It can safely be removed.

## plasma-nm 0.9.3.3

=== CMakeLists.txt ===
project(plasma-networkmanagement)

cmake_minimum_required(VERSION 2.6)

find_package(KDE4 "4.9.0" REQUIRED)
find_package(NetworkManager "0.9.8.4" REQUIRED)

include(FindPkgConfig)
include(KDE4Defaults)

set(PLASMA_NM_VERSION "0.9.3.3")

pkg_check_modules(NETWORKMANAGERQT REQUIRED NetworkManagerQt)
if (NOT NETWORKMANAGERQT_FOUND)
    message(FATAL_ERROR "ERROR: NetworkManagerQt not found. http://projects.kde.org/libnm-qt")
elseif(${NETWORKMANAGER_VERSION} VERSION_EQUAL 0.9.9.0 AND ${NETWORKMANAGERQT_VERSION} VERSION_LESS 0.9.9.1)
    message(FATAL_ERROR "ERROR: NetworkManagerQt required version is 0.9.9.1. http://projects.kde.org/libnm-qt")
elseif(${NETWORKMANAGERQT_VERSION} VERSION_LESS 0.9.8.1)
    message(FATAL_ERROR "ERROR: NetworkManagerQt required version is 0.9.8.1. http://projects.kde.org/libnm-qt")
endif()

if (DISABLE_MODEMMANAGER_SUPPORT)
    message(STATUS "Disabling ModemManager support")
    set(WITH_MODEMMANAGER_SUPPORT 0)
else()
    pkg_check_modules(MODEMMANAGERQT ModemManagerQt)
    if (MODEMMANAGERQT_FOUND)
        message(STATUS "Enabling ModemManager support")
        set(WITH_MODEMMANAGER_SUPPORT 1)

        if (${MODEMMANAGERQT_VERSION} VERSION_GREATER 0.7.990)
            set(MODEMMANAGERQT_ONE 1)
        endif()
    else()
        message(STATUS "ModemManagerQt not found")
        set(WITH_MODEMMANAGER_SUPPORT 0)
    endif()
endif()

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR} ${CMAKE_MODULE_PATH})

macro_optional_find_package(MobileBroadbandProviderInfo)
macro_log_feature(MOBILEBROADBANDPROVIDERINFO_FOUND "mobile-broadband-provider-info" "Database of mobile broadband service providers" "http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders" FALSE "" "Needed for Mobile Connection Wizard support in Broadband Modem Management")
pkg_check_modules(QTNETWORK REQUIRED QtNetwork)
pkg_check_modules(NETWORKMANAGER REQUIRED NetworkManager)

add_definitions(
    -DWITH_MODEMMANAGER_SUPPORT=${WITH_MODEMMANAGER_SUPPORT}
    ${QT_DEFINITIONS}
    ${KDE_DEFINITIONS}
    ${NETWORKMANAGERQT_CFLAGS_OTHER}
)

include_directories(${CMAKE_SOURCE_DIR}
                    ${CMAKE_BINARY_DIR}
                    ${CMAKE_CURRENT_BINARY_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/lib
                    ${CMAKE_CURRENT_SOURCE_DIR}/lib/editor
                    ${QTNETWORK_INCLUDE_DIRS}
                    if (MODEMMANAGERQT_FOUND)
                        ${MODEMMANAGER_INCLUDE_DIRS}
                        ${MODEMMANAGERQT_INCLUDE_DIRS}
                    endif()
                    ${NETWORKMANAGERQT_INCLUDE_DIRS}
                    ${NETWORKMANAGER_INCLUDE_DIRS}
                    ${KDE4_INCLUDES})

add_subdirectory(lib)
add_subdirectory(applet)
add_subdirectory(declarative-plugins)
add_subdirectory(editor)
add_subdirectory(vpn)
add_subdirectory(kded)
add_subdirectory(settings)

macro_display_feature_log()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== applet/CMakeLists.txt ===
configure_file(${CMAKE_CURRENT_SOURCE_DIR}/declarative/metadata.desktop.cmake
               ${CMAKE_CURRENT_BINARY_DIR}/declarative/metadata.desktop
               @ONLY)

install(DIRECTORY declarative/contents DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.networkmanagement)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/declarative/metadata.desktop DESTINATION ${DATA_INSTALL_DIR}/plasma/plasmoids/org.kde.networkmanagement)
install(FILES ${CMAKE_CURRENT_BINARY_DIR}/declarative/metadata.desktop DESTINATION ${SERVICES_INSTALL_DIR} RENAME plasma-applet-networkmanagement.desktop)

add_subdirectory(icons)

=== declarative-plugins/CMakeLists.txt ===
set(plasma_networkmanagement_qml_plugins_SRCS
   applet/availabledevices.cpp
   applet/connectionicon.cpp
   applet/enabledconnections.cpp
   applet/globalconfig.cpp
   applet/networkstatus.cpp
   applet/trafficmonitor.cpp

   model/model.cpp
   model/modelitem.cpp
   model/modelitems.cpp
   model/monitor.cpp
   model/sortmodel.cpp

   debug.cpp
   enums.cpp
   handler.cpp
   qmlplugins.cpp
)

kde4_add_library(plasmanetworkmanagementplugins SHARED ${plasma_networkmanagement_qml_plugins_SRCS})

target_link_libraries(plasmanetworkmanagementplugins
    ${NETWORKMANAGERQT_LDFLAGS}
    ${MODEMMANAGERQT_LDFLAGS}
    plasmanetworkmanagement-internal
    plasmanetworkmanagement-editor
    ${KDE4_PLASMA_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTDECLARATIVE_LIBRARY})

install(TARGETS plasmanetworkmanagementplugins DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/networkmanagement)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/networkmanagement)

=== kded/CMakeLists.txt ===
if (WITH_MODEMMANAGER_SUPPORT)
    set(kded_networkmanagement_SRCS
        notification.cpp
        passworddialog.cpp
        secretagent.cpp
        service.cpp
        bluetoothmonitor.cpp
        modemmonitor.cpp
        pindialog.cpp
    )
    kde4_add_ui_files(kded_networkmanagement_SRCS
        pinwidget.ui
        passworddialog.ui

    )
else()
    set(kded_networkmanagement_SRCS
        notification.cpp
        passworddialog.cpp
        secretagent.cpp
        service.cpp
        bluetoothmonitor.cpp
    )
    kde4_add_ui_files(kded_networkmanagement_SRCS
        passworddialog.ui
    )
endif()

kde4_add_plugin(kded_networkmanagement ${kded_networkmanagement_SRCS})

target_link_libraries(kded_networkmanagement
    ${NETWORKMANAGERQT_LDFLAGS}
    ${MODEMMANAGERQT_LDFLAGS}
    plasmanetworkmanagement-internal
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${KDE4_SOLID_LIBS}
)

install(TARGETS kded_networkmanagement DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES networkmanagement.desktop DESTINATION ${SERVICES_INSTALL_DIR}/kded)
install(FILES networkmanagement.notifyrc DESTINATION ${DATA_INSTALL_DIR}/networkmanagement)

=== lib/CMakeLists.txt ===
if (WITH_MODEMMANAGER_SUPPORT)
    set(plasmanetworkmanagement-internal_SRCS
        settingwidget.cpp
        vpnuiplugin.cpp
        uiutils.cpp
        hwaddrcombobox.cpp
        ssidcombobox.cpp
        bssidcombobox.cpp
        mobileproviders.cpp
        mobileconnectionwizard.cpp
    )
else()
    set(plasmanetworkmanagement-internal_SRCS
        settingwidget.cpp
        vpnuiplugin.cpp
        uiutils.cpp
        hwaddrcombobox.cpp
        ssidcombobox.cpp
        bssidcombobox.cpp
    )
endif()

kde4_add_library(plasmanetworkmanagement-internal SHARED ${plasmanetworkmanagement-internal_SRCS})
target_link_libraries(plasmanetworkmanagement-internal ${NETWORKMANAGERQT_LDFLAGS} ${MODEMMANAGERQT_LDFLAGS} ${KDE4_SOLID_LIBS} ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${QT_QTXML_LIBRARY} ${QT_QTNETWORK_LIBRARY})

install(TARGETS plasmanetworkmanagement-internal ${INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES plasma-networkmanagement-vpnuiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

add_subdirectory(editor)

=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(mai)
add_subdirectory(bs)
add_subdirectory(fa)
add_subdirectory(es)
add_subdirectory(ga)
add_subdirectory(ca)
add_subdirectory(sl)
add_subdirectory(zh_CN)
add_subdirectory(ar)
add_subdirectory(km)
add_subdirectory(zh_TW)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(sv)
add_subdirectory(ug)
add_subdirectory(hr)
add_subdirectory(nn)
add_subdirectory(pa)
add_subdirectory(eo)
add_subdirectory(ms)
add_subdirectory(fr)
add_subdirectory(gl)
add_subdirectory(it)
add_subdirectory(da)
add_subdirectory(ca@valencia)
add_subdirectory(sr@ijekavian)
add_subdirectory(ro)
add_subdirectory(ru)
add_subdirectory(cs)
add_subdirectory(lt)
add_subdirectory(et)
add_subdirectory(en_GB)
add_subdirectory(ja)
add_subdirectory(sr@latin)
add_subdirectory(sk)
add_subdirectory(uk)
add_subdirectory(nds)
add_subdirectory(de)
add_subdirectory(is)
add_subdirectory(pt)
add_subdirectory(fi)
add_subdirectory(nl)
add_subdirectory(th)
add_subdirectory(hu)
add_subdirectory(mr)
add_subdirectory(lv)
add_subdirectory(pl)
add_subdirectory(tr)
add_subdirectory(el)
add_subdirectory(pt_BR)
add_subdirectory(sr)
add_subdirectory(nb)

=== settings/CMakeLists.txt ===
add_subdirectory(details)
add_subdirectory(notifications)

=== applet/icons/CMakeLists.txt ===
install(FILES plasma-networkmanagement.svgz DESTINATION ${DATA_INSTALL_DIR}/desktoptheme/default/icons/ RENAME plasma-networkmanagement2.svgz)

kde4_install_icons(${ICON_INSTALL_DIR})

=== lib/editor/CMakeLists.txt ===
--- 
+++ 
@@ -1,4 +1,4 @@
-set(plasmanm_libeditor_SRCS
+set(plasmanetworkmanagement_libeditor_SRCS
     ipv4widget.cpp
     ui/advancedpermissionswidget.cpp
     ui/delegate.cpp
@@ -29,7 +29,13 @@
     connectionwidget.cpp
 )
 
-kde4_add_ui_files(plasmanm_libeditor_SRCS
+if (${NETWORKMANAGERQT_VERSION} VERSION_GREATER 0.9.8.9)
+set(plasmanetworkmanagement_libeditor_SRCS
+    ${plasmanetworkmanagement_libeditor_SRCS}
+    teamwidget.cpp)
+endif()
+
+kde4_add_ui_files(plasmanetworkmanagement_libeditor_SRCS
     ui/advancedpermissionswidget.ui
     ui/ipv4.ui
     ui/ipv4routes.ui
@@ -54,15 +60,19 @@
     ui/connectionwidget.ui
 )
 
-kde4_add_library(plasmanm-editor SHARED ${plasmanm_libeditor_SRCS})
-target_link_libraries(plasmanm-editor
+if (${NETWORKMANAGERQT_VERSION} VERSION_GREATER 0.9.8.9)
+    kde4_add_ui_files(plasmanetworkmanagement_libeditor_SRCS ui/team.ui)
+endif()
+
+kde4_add_library(plasmanetworkmanagement-editor SHARED ${plasmanetworkmanagement_libeditor_SRCS})
+target_link_libraries(plasmanetworkmanagement-editor
     ${KDE4_KDEUI_LIBS}
     ${KDE4_KIO_LIBS}
     ${QT_QTXML_LIBRARY}
     ${QT_QTNETWORK_LIBRARY}
-    NetworkManagerQt
-    ModemManagerQt
-    plasmanm-internal
+    ${NETWORKMANAGERQT_LDFLAGS}
+    ${MODEMMANAGERQT_LDFLAGS}
+    plasmanetworkmanagement-internal
 )
 
-install(TARGETS plasmanm-editor ${INSTALL_TARGETS_DEFAULT_ARGS})
+install(TARGETS plasmanetworkmanagement-editor ${INSTALL_TARGETS_DEFAULT_ARGS})

=== po/mai/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(mai ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== po/sr@ijekavian/CMakeLists.txt ===
file(GLOB _po_files *.po)
GETTEXT_PROCESS_PO_FILES(sr@ijekavian ALL INSTALL_DESTINATION ${LOCALE_INSTALL_DIR} ${_po_files} )

=== vpn/l2tp/CMakeLists.txt ===
set(l2tp_SRCS
    l2tp.cpp
    l2tpwidget.cpp
    l2tpauth.cpp
    l2tpadvancedwidget.cpp
    l2tppppwidget.cpp
)

kde4_add_ui_files(l2tp_SRCS l2tp.ui l2tpadvanced.ui l2tpauth.ui l2tpppp.ui)

kde4_add_plugin(plasmanetworkmanagement_l2tpui ${l2tp_SRCS})

target_link_libraries(plasmanetworkmanagement_l2tpui plasmanetworkmanagement-internal ${NETWORKMANAGERQT_LDFLAGS} ${KDE4_KIO_LIBS})

install(TARGETS plasmanetworkmanagement_l2tpui  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasmanetworkmanagement_l2tpui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-nm (0.9.3.3-0ubuntu1) trusty; urgency=medium

  * Official 0.9.3.3 upstream release.
  * Feature equivalent to previous snapshot upload.
  * Drop kubuntu_networkmanager_icon.diff - the package now contains the
    mentioned icon.
    + Remove debian/icons, it's installation via debian/install and the
      ignore-binary override for dpkg-source

 -- Harald Sitter <apachelogger@kubuntu.org>  Sat, 01 Mar 2014 17:01:04 +0100

plasma-nm (0.9.3.2+git20140220-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot with translations

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 24 Feb 2014 11:26:13 +0000

plasma-nm (0.9.3.2+git20140219-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Feb 2014 09:22:12 +0000

plasma-nm (0.9.3.2+git20140217-0ubuntu1) trusty; urgency=medium

  * New upstream snapshot

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Feb 2014 16:45:17 +0000

plasma-nm (0.9.3.2-0ubuntu4) trusty; urgency=medium

  * Add build-dep on modemmanager-dev

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 17 Feb 2014 15:23:49 +0000

plasma-nm (0.9.3.2-0ubuntu3) trusty; urgency=medium

  * Build against new libmm-qt and libnm-qt

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 13 Feb 2014 10:55:13 +0000

plasma-nm (0.9.3.2-0ubuntu2) trusty; urgency=low

  * Conflict/Replace kde-workspace-data << 4.11 as networkmanager.png
    used to live there. LP: #1277312

 -- Harald Sitter <apachelogger@kubuntu.org>  Mon, 10 Feb 2014 10:13:34 +0100

plasma-nm (0.9.3.2-0ubuntu1) trusty; urgency=low

  * New upstream release LP: #1254121
  * Remove kubuntu_connection_editor_nodisplay.diff now upstream
  * Remove kubuntu_cmake_display_feature_log.diff now upstream
  * Remove plasma-nm-fixes.patch now upstream

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 03 Dec 2013 14:49:39 +0000

=== debian/control ===
--- 
+++ 
@@ -3,9 +3,9 @@
 Priority: extra
 Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
 XSBC-Original-Maintainer: Jonathan Riddell <jriddell@ubuntu.com>
-Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libmodemmanagerqt-dev (>= 0.5.0),
- libnetworkmanagerqt-dev (>= 0.9.0.1), pkg-config, network-manager-dev, libnm-util-dev,
- libnm-glib-dev, pkg-kde-tools, libopenconnect-dev
+Build-Depends: debhelper (>= 8.0.0), cmake, kdelibs5-dev, libmodemmanagerqt-dev (>= 1.0.1),
+ libnetworkmanagerqt-dev (>= 0.9.8.1), pkg-config, network-manager-dev, libnm-util-dev,
+ libnm-glib-dev, pkg-kde-tools, libopenconnect-dev, modemmanager-dev
 Standards-Version: 3.9.4
 Homepage: https://projects.kde.org/projects/playground/network/plasma-nm

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --parallel --with kde

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/unstable/plasma-nm/plasma-nm-([\d\.]*).tar.xz

## plasma-nm 0.9.3.4

=== CMakeLists.txt ===
project(plasma-networkmanagement)

cmake_minimum_required(VERSION 2.8)

find_package(KDE4 "4.9.0" REQUIRED)
find_package(NetworkManager "0.9.8.4" REQUIRED)

include(FindPkgConfig)
include(KDE4Defaults)

set(PLASMA_NM_VERSION 0.9.3.4)
set(PLASMA_NM_STRING_VERSION "${PLASMA_NM_VERSION}")

pkg_check_modules(NETWORKMANAGERQT REQUIRED NetworkManagerQt)
if (NOT NETWORKMANAGERQT_FOUND)
    message(FATAL_ERROR "ERROR: NetworkManagerQt not found. http://projects.kde.org/libnm-qt")
elseif(${NETWORKMANAGERQT_VERSION} VERSION_LESS 0.9.8.2)
    message(FATAL_ERROR "ERROR: NetworkManagerQt required version is 0.9.8.2. http://projects.kde.org/libnm-qt")
endif()

if (DISABLE_MODEMMANAGER_SUPPORT)
    message(STATUS "Disabling ModemManager support")
    set(WITH_MODEMMANAGER_SUPPORT 0)
else()
    pkg_check_modules(MODEMMANAGERQT ModemManagerQt)
    if (MODEMMANAGERQT_FOUND)
        message(STATUS "Enabling ModemManager support")
        set(WITH_MODEMMANAGER_SUPPORT 1)
    else()
        message(STATUS "ModemManagerQt not found")
        set(WITH_MODEMMANAGER_SUPPORT 0)
    endif()
endif()

configure_file(config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config.h )
set(CMAKE_MODULE_PATH ${CMAKE_SOURCE_DIR} ${CMAKE_MODULE_PATH})

if (MODEMMANAGERQT_FOUND)
    macro_optional_find_package(MobileBroadbandProviderInfo)
    macro_log_feature(MOBILEBROADBANDPROVIDERINFO_FOUND "mobile-broadband-provider-info" "Database of mobile broadband service providers" "http://live.gnome.org/NetworkManager/MobileBroadband/ServiceProviders" FALSE "" "Needed for Mobile Connection Wizard support in Broadband Modem Management")
endif()

add_definitions(
    -DWITH_MODEMMANAGER_SUPPORT=${WITH_MODEMMANAGER_SUPPORT}
    ${NETWORKMANAGERQT_CFLAGS_OTHER})

include_directories(${CMAKE_CURRENT_BINARY_DIR} # for config.h
                    ${CMAKE_CURRENT_SOURCE_DIR}
                    ${CMAKE_CURRENT_SOURCE_DIR}/libs
                    ${CMAKE_CURRENT_SOURCE_DIR}/libs/editor/
                    ${NETWORKMANAGER_INCLUDE_DIRS}
                    ${NETWORKMANAGERQT_INCLUDE_DIRS}
                    ${KDE4_INCLUDES})

if (MODEMMANAGERQT_FOUND)
    include_directories(${MODEMMANAGERQT_INCLUDE_DIRS})
endif()

add_subdirectory(applet)
add_subdirectory(editor)
add_subdirectory(kded)
add_subdirectory(libs)
add_subdirectory(vpn)
add_subdirectory(settings)

macro_display_feature_log()

include(MacroOptionalAddSubdirectory)
macro_optional_add_subdirectory( po )

=== applet/CMakeLists.txt ===


=== po/CMakeLists.txt ===
# The pofiles macro creates in some versions same name targets
# which since cmake 2.8 leads to target clashes.
# Hence force the old policy for all po directories.
# http://public.kitware.com/Bug/view.php?id=12952
cmake_policy(SET CMP0002 OLD)

find_package(Gettext REQUIRED)
if (NOT GETTEXT_MSGMERGE_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGMERGE_EXECUTABLE)
if (NOT GETTEXT_MSGFMT_EXECUTABLE)
MESSAGE(FATAL_ERROR "Please install msgmerge binary")
endif (NOT GETTEXT_MSGFMT_EXECUTABLE)
add_subdirectory(nb)
add_subdirectory(sv)
add_subdirectory(en_GB)
add_subdirectory(ca)
add_subdirectory(hr)
add_subdirectory(sk)
add_subdirectory(fr)
add_subdirectory(nl)
add_subdirectory(pa)
add_subdirectory(is)
add_subdirectory(da)
add_subdirectory(sr@ijekavianlatin)
add_subdirectory(fi)
add_subdirectory(ug)
add_subdirectory(bs)
add_subdirectory(et)
add_subdirectory(gl)
add_subdirectory(sl)
add_subdirectory(mai)
add_subdirectory(hu)
add_subdirectory(es)
add_subdirectory(ro)
add_subdirectory(uk)
add_subdirectory(sr@latin)
add_subdirectory(el)
add_subdirectory(pt_BR)
add_subdirectory(ms)
add_subdirectory(zh_CN)
add_subdirectory(nn)
add_subdirectory(mr)
add_subdirectory(ar)
add_subdirectory(th)
add_subdirectory(ga)
add_subdirectory(zh_TW)
add_subdirectory(fa)
add_subdirectory(pt)
add_subdirectory(sr)
add_subdirectory(km)
add_subdirectory(bg)
add_subdirectory(ca@valencia)
add_subdirectory(cs)
add_subdirectory(it)
add_subdirectory(pl)
add_subdirectory(de)
add_subdirectory(ru)
add_subdirectory(lv)
add_subdirectory(lt)
add_subdirectory(ja)
add_subdirectory(tr)
add_subdirectory(sr@ijekavian)
add_subdirectory(eo)
add_subdirectory(nds)

=== libs/declarative/CMakeLists.txt ===
include_directories(${CMAKE_SOURCE_DIR}/libs
                    ${CMAKE_SOURCE_DIR}/libs/models)

set(plasma_networkmanagement_qml_plugins_SRCS
   availabledevices.cpp
   connectionicon.cpp
   enabledconnections.cpp
   enums.cpp
   networkstatus.cpp
   trafficmonitor.cpp
   qmlplugins.cpp
)

kde4_add_library(plasmanetworkmanagementplugins SHARED ${plasma_networkmanagement_qml_plugins_SRCS})

target_link_libraries(plasmanetworkmanagementplugins
    plasmanetworkmanagement-internal
    plasmanetworkmanagement-editor
    ${NETWORKMANAGERQT_LDFLAGS}
    ${MODEMMANAGERQT_LDFLAGS}
    ${KDE4_PLASMA_LIBS}
    ${KDE4_KDECORE_LIBS}
    ${KDE4_KDEUI_LIBS}
    ${QT_QTNETWORK_LIBRARY}
    ${QT_QTDECLARATIVE_LIBRARY})

install(TARGETS plasmanetworkmanagementplugins DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/networkmanagement)
install(FILES qmldir DESTINATION ${IMPORTS_INSTALL_DIR}/org/kde/networkmanagement)

=== libs/editor/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/widgets)

set(plasmanetworkmanagement_libeditor_SRCS
    settings/bondwidget.cpp
    settings/bridgewidget.cpp
    settings/btwidget.cpp
    settings/cdmawidget.cpp
    settings/connectionwidget.cpp
    settings/gsmwidget.cpp
    settings/infinibandwidget.cpp
    settings/ipv4widget.cpp
    settings/ipv6widget.cpp
    settings/pppoewidget.cpp
    settings/pppwidget.cpp
    settings/security802-1x.cpp
    settings/vlanwidget.cpp
    settings/wificonnectionwidget.cpp
    settings/wifisecurity.cpp
    settings/wimaxwidget.cpp
    settings/wiredconnectionwidget.cpp
    settings/wiredsecurity.cpp

    widgets/advancedpermissionswidget.cpp
    widgets/bssidcombobox.cpp
    widgets/delegate.cpp
    widgets/hwaddrcombobox.cpp
    widgets/intdelegate.cpp
    widgets/ipv4delegate.cpp
    widgets/ipv4routeswidget.cpp
    widgets/ipv6delegate.cpp
    widgets/ipv6routeswidget.cpp
    widgets/settingwidget.cpp
    widgets/ssidcombobox.cpp

    connectiondetaileditor.cpp
    simpleipv4addressvalidator.cpp
    simpleipv6addressvalidator.cpp
    vpnuiplugin.cpp

    ../uiutils.cpp
)

if (WITH_MODEMMANAGER_SUPPORT)
    set(plasmanetworkmanagement_libeditor_SRCS
        ${plasmanetworkmanagement_libeditor_SRCS}
        widgets/mobileconnectionwizard.cpp
        mobileproviders.cpp)
endif()

kde4_add_ui_files(plasmanetworkmanagement_libeditor_SRCS
    settings/ui/802-1x.ui
    settings/ui/bond.ui
    settings/ui/bridge.ui
    settings/ui/bt.ui
    settings/ui/cdma.ui
    settings/ui/connectionwidget.ui
    settings/ui/gsm.ui
    settings/ui/infiniband.ui
    settings/ui/ipv4.ui
    settings/ui/ipv6.ui
    settings/ui/ppp.ui
    settings/ui/pppoe.ui
    settings/ui/vlan.ui
    settings/ui/wificonnectionwidget.ui
    settings/ui/wifisecurity.ui
    settings/ui/wimax.ui
    settings/ui/wiredconnectionwidget.ui
    settings/ui/wiredsecurity.ui

    widgets/ui/advancedpermissionswidget.ui
    widgets/ui/ipv4routes.ui
    widgets/ui/ipv6routes.ui

    connectiondetaileditor.ui
)

kde4_add_library(plasmanetworkmanagement-editor SHARED ${plasmanetworkmanagement_libeditor_SRCS})
target_link_libraries(plasmanetworkmanagement-editor
    ${KDE4_KDEUI_LIBS}
    ${KDE4_KIO_LIBS}
    ${KDE4_SOLID_LIBS}
    ${QT_QTXML_LIBRARY}
    ${QT_QTNETWORK_LIBRARY}
    ${NETWORKMANAGERQT_LDFLAGS}
    ${MODEMMANAGERQT_LDFLAGS}
)

install(TARGETS plasmanetworkmanagement-editor ${INSTALL_TARGETS_DEFAULT_ARGS})
install(FILES plasma-networkmanagement-vpnuiplugin.desktop DESTINATION ${SERVICETYPES_INSTALL_DIR})

=== vpn/l2tp/CMakeLists.txt ===
--- 
+++ 
@@ -10,7 +10,7 @@
 
 kde4_add_plugin(plasmanetworkmanagement_l2tpui ${l2tp_SRCS})
 
-target_link_libraries(plasmanetworkmanagement_l2tpui plasmanetworkmanagement-internal ${NETWORKMANAGERQT_LDFLAGS} ${KDE4_KIO_LIBS})
+target_link_libraries(plasmanetworkmanagement_l2tpui plasmanetworkmanagement-editor ${NETWORKMANAGERQT_LDFLAGS} ${KDE4_KIO_LIBS})
 
 install(TARGETS plasmanetworkmanagement_l2tpui  DESTINATION ${PLUGIN_INSTALL_DIR})

=== vpn/openconnect/CMakeLists.txt ===
set (MINIMUM_OPENCONNECT_VERSION_REQUIRED "3.99")

set(CMAKE_MODULE_PATH ${CMAKE_CURRENT_SOURCE_DIR} ${CMAKE_MODULE_PATH})

macro_optional_find_package(OpenConnect ${MINIMUM_OPENCONNECT_VERSION_REQUIRED})
if (OPENCONNECT_FOUND)
    if (${OPENCONNECT_VERSION} VERSION_LESS "3.99")
        macro_optional_find_package(OpenSSL)
        macro_log_feature(OPENSSL_FOUND "OpenSSL headers" "Encryption suite" "http://www.openssl.org" FALSE "" "Needed for OpenConnect support in Network Management")
        if (OPENSSL_FOUND)
            set (MINIMUM_OPENCONNECT_VERSION_REQUIRED "3.03")
            set (maybe_OPENSSL_LIBRARIES ${OPENSSL_LIBRARIES})
        endif()
    endif()

    if (${OPENCONNECT_VERSION} VERSION_GREATER ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} OR
        ${OPENCONNECT_VERSION} VERSION_EQUAL ${MINIMUM_OPENCONNECT_VERSION_REQUIRED})

        set(openconnect_SRCS
        openconnectui.cpp
        openconnectwidget.cpp
        openconnectauth.cpp
        openconnectauthworkerthread.cpp
        )

        kde4_add_ui_files(openconnect_SRCS openconnectprop.ui openconnectauth.ui)

        kde4_add_plugin(plasmanetworkmanagement_openconnectui ${openconnect_SRCS})

        target_link_libraries(plasmanetworkmanagement_openconnectui plasmanetworkmanagement-editor NetworkManagerQt ${KDE4_KIO_LIBS} ${OPENCONNECT_LIBRARIES} ${maybe_OPENSSL_LIBRARIES})
        install(TARGETS plasmanetworkmanagement_openconnectui  DESTINATION ${PLUGIN_INSTALL_DIR})

        install( FILES plasmanetworkmanagement_openconnectui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})
    else()
        message("ERROR: OpenConnection version '${OPENCONNECT_VERSION}' does not match minimum required (${MINIMUM_OPENCONNECT_VERSION_REQUIRED})")
        message("OpenConnect plugin will not be built")
        set(OPENCONNECT_FOUND False)
    endif()
else (OPENCONNECT_FOUND)
    message("OpenConnect plugin will not be built")
endif (OPENCONNECT_FOUND)

macro_log_feature(OPENCONNECT_FOUND "OpenConnect headers and library" "Cisco AnyConnect compatible VPN client" "http://www.infradead.org/openconnect.html" FALSE ${MINIMUM_OPENCONNECT_VERSION_REQUIRED} "Needed for OpenConnect support in Plasma NM")

=== vpn/vpnc/CMakeLists.txt ===
set(vpnc_SRCS
    vpnc.cpp
    vpncwidget.cpp
    vpncadvancedwidget.cpp
    vpncauth.cpp
)

kde4_add_ui_files(vpnc_SRCS vpnc.ui vpncadvanced.ui vpncauth.ui)

kde4_add_plugin(plasmanetworkmanagement_vpncui ${vpnc_SRCS})

target_link_libraries(plasmanetworkmanagement_vpncui plasmanetworkmanagement-editor ${NETWORKMANAGERQT_LDFLAGS} ${KDE4_KIO_LIBS})

install(TARGETS plasmanetworkmanagement_vpncui  DESTINATION ${PLUGIN_INSTALL_DIR})

install(FILES plasmanetworkmanagement_vpncui.desktop  DESTINATION ${SERVICES_INSTALL_DIR})

=== debian/changelog ===
plasma-nm (0.9.3.4-2) unstable; urgency=medium

  * New patch: upstream-delay_the_notifications (Closes: #758863) Thanks
    to Ralf Jung
  * New patch: upstream-use_proper_kded
  * New patch: upstream-fix_build_replace
  * Update copyright information.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 15 Sep 2014 10:34:16 +0200

plasma-nm (0.9.3.4-1) unstable; urgency=medium

  * New upstream release.
  * Update build dependencies.
  * Remove upstream patch: upstream_fix_build_new_openconnnect
  * Remove patch: disable_teamwidget

 -- Maximiliano Curia <maxy@debian.org>  Sat, 16 Aug 2014 22:30:24 +0200

plasma-nm (0.9.3.3-4) unstable; urgency=medium

  * Update Homepage field. (Closes: #753279)
  * Fix wrong replaces breaks versions. (Closes: #754604, #754979)
  * New patch: disable_teamwidget

 -- Maximiliano Curia <maxy@debian.org>  Thu, 17 Jul 2014 13:33:49 +0200

plasma-nm (0.9.3.3-3) unstable; urgency=medium

  * Bump network-manager dependency in the binary package. (Closes: #743041)
  * New patch: upstream_fix_build_new_openconnnect (Closes: #742090)
    Thanks to Mike Miller

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 10:45:43 +0200

plasma-nm (0.9.3.3-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 29 Mar 2014 10:55:27 +0100

plasma-nm (0.9.3.3-1) experimental; urgency=medium

  * New upstream release.
  * Aesthetic change, further reduce rules file.
  * Update build dependencies.
  * Update install files.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 03 Mar 2014 13:30:54 +0100

plasma-nm (0.9.3.2-3) unstable; urgency=medium

  * Update transitional package description. Thanks to Jonas Smedegaard.
    (Closes: #739045)
  * Add plasma-widget-networkmanagement-dbg transitional package.
    (Closes: #740326)

 -- Maximiliano Curia <maxy@debian.org>  Fri, 28 Feb 2014 23:51:09 +0100

plasma-nm (0.9.3.2-2) unstable; urgency=medium

  * Release to unstable.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Feb 2014 16:59:02 +0100

plasma-nm (0.9.3.2-1) experimental; urgency=low

  * Initial release. (Closes: #731375)

 -- Maximiliano Curia <maxy@debian.org>  Wed, 04 Dec 2013 21:18:56 +0100

=== debian/control ===
Source: plasma-nm
Section: kde
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Modestas Vainius <modax@debian.org>,
           Michael Biebl <biebl@debian.org>,
           Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.6.2),
               debhelper (>= 9),
               gettext,
               kdelibs5-dev (>= 4:4.9.0),
               libmodemmanagerqt-dev (>= 1.0.1),
               libnetworkmanagerqt-dev (>= 0.9.8.2),
               libnm-glib-dev (>= 0.9.8.4),
               libnm-util-dev (>= 0.9.8.4),
               libopenconnect-dev (>= 4.04),
               libqt4-dev (>= 4:4.6.0),
               mobile-broadband-provider-info,
               modemmanager-dev (>= 0.8),
               network-manager-dev (>= 0.9.8.4),
               pkg-config,
               pkg-kde-tools (>= 0.5)
Standards-Version: 3.9.5
Homepage: https://projects.kde.org/projects/kde/workspace/plasma-nm
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-extras/plasma-nm.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-extras/plasma-nm.git

Package: plasma-nm
Architecture: any
Depends: mobile-broadband-provider-info,
         network-manager (>= 0.9.8.4),
         ${misc:Depends},
         ${shlibs:Depends}
Suggests: kde-workspace-bin, network-manager-openconnect
Recommends: kwalletmanager,
            network-manager-openvpn,
            network-manager-pptp,
            network-manager-vpnc
Replaces: knm-runtime, plasma-widget-networkmanagement (<< 0.9.3.2)
Breaks: knm-runtime, plasma-widget-networkmanagement (<< 0.9.3.2)
Description: Network Management widget for KDE Plasma workspaces
 This package contains the Network Management plasma widget which aims to
 provide a fully featured GUI for managing networks. Currently, the only
 supported backend is NetworkManager. Support for wired, wireless, mobile
 and VPN networks are provided. The widget is exclusively written for KDE
 Plasma workspaces and it is not supposed to work in other environments.
 .
 In order to start using the widget, look for "Network Management" in the "Add
 Widgets" dialog of the Plasma workspace you're using.

Package: plasma-widget-networkmanagement
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-nm (>= ${binary:Version}), ${misc:Depends}
Description: Transitional package for plasma-nm
 This is a transitional package for plasma-nm.
 It can safely be removed.

Package: plasma-nm-dbg
Architecture: any
Section: debug
Priority: extra
Depends: plasma-nm (= ${binary:Version}), ${misc:Depends}
Recommends: kdelibs5-dbg
Suggests: kde-workspace-dbg
Description: debugging symbols for KDE Network Management widget
 This package provides debugging symbols for all binary packages built from the
 plasma-nm source package. It's highly recommended to have this package
 installed before reporting any crashes.

Package: plasma-widget-networkmanagement-dbg
Architecture: all
Section: oldlibs
Priority: extra
Depends: plasma-nm-dbg (>= ${binary:Version}), ${misc:Depends}
Description: Transitional package for plasma-nm-dbg
 This is a transitional package for plasma-nm-dbg.
 It can safely be removed.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

%:
	dh $@ --parallel --with kde --dbg-package=plasma-nm-dbg

=== debian/watch ===
version=3
http://download.kde.org/stable/plasma-nm/plasma-nm-([\d.]+).tar.xz
